Open Lighting Architecture: ola::InputPort Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::InputPort Class Referenceabstract

## Detailed Description

A port that receives DMX512 data.

Inheritance diagram for ola::InputPort:

## Public Member Functions
virtual void | DmxChanged ()=0
| Signal to the port that the DMX data has changed.
virtual const DmxSource & | SourceData () const =0
| Get the current DMX data.
virtual void | HandleRDMRequest (ola::rdm::RDMRequest *request, ola::rdm::RDMCallback *callback)=0
| Handle RDMRequests, ownership of the RDMRequest object is transferred.
Public Member Functions inherited from ola::Port
virtual unsigned int | PortId () const =0
| Get the Port ID. This is the index within the device.
virtual AbstractDevice * | GetDevice () const =0
| Get the device which owns this Port.
virtual std::string | Description () const =0
| Fetch the string description for a Port.
virtual bool | SetUniverse (Universe *universe)=0
| Bind this port to a universe.
virtual Universe * | GetUniverse () const =0
| Fetch the universe this Port is bound to.
virtual std::string | UniqueId () const =0
| Return the globally unique id for a Port.
virtual port_priority_capability | PriorityCapability () const =0
| Get the priority capabilities for this port.
virtual bool | SetPriority (uint8_t priority)=0
| Set the Priority for this Port.
virtual uint8_t | GetPriority () const =0
| Get the numeric priority for this Port.
virtual void | SetPriorityMode (port_priority_mode mode)=0
| Set the Priority Mode for this Port.
virtual port_priority_mode | GetPriorityMode () const =0
| Get the Priority Mode for this Port.
virtual bool | SupportsRDM () const =0
| Check if this Port supports RDM or not.

## Member Function Documentation

## ◆ DmxChanged()

virtual void ola::InputPort::DmxChanged | ( |  | ) |
| pure virtual

Signal to the port that the DMX data has changed.

Implemented in ola::BasicInputPort.

## ◆ HandleRDMRequest()

virtual void ola::InputPort::HandleRDMRequest | ( | ola::rdm::RDMRequest * | request,
|  | ola::rdm::RDMCallback * | callback )
| pure virtual

Handle RDMRequests, ownership of the RDMRequest object is transferred.

Implemented in ola::BasicInputPort.

## ◆ SourceData()

virtual const DmxSource & ola::InputPort::SourceData | ( |  | ) | const
| pure virtual

Get the current DMX data.

Implemented in ola::BasicInputPort.

The documentation for this class was generated from the following file:

- include/olad/Port.h